org.apache.commons.io

## Class HexDump

- java.lang.Object
- - org.apache.commons.io.HexDump

-     public class HexDump
      extends Object

  Dumps data in hexadecimal format.

  Provides a single function to take an array of bytes and display it in hexadecimal form.

  Origin of code: POI.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EOL` The line-separator (initializes to "line.separator" system property.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HexDump()` Instances should NOT be constructed in standard programming.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `dump(byte[] data, long offset, OutputStream stream, int index)` Dump an array of bytes to an OutputStream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EOL

          public static final String EOL

      The line-separator (initializes to "line.separator" system property.

  - ### Constructor Detail

    - #### HexDump

          public HexDump()

      Instances should NOT be constructed in standard programming.

  - ### Method Detail

    - #### dump

          public static void dump(byte[] data,
                                  long offset,
                                  OutputStream stream,
                                  int index)
                           throws IOException,
                                  ArrayIndexOutOfBoundsException,
                                  IllegalArgumentException

      Dump an array of bytes to an OutputStream. The output is formatted for human inspection, with a hexadecimal offset followed by the hexadecimal values of the next 16 bytes of data and the printable ASCII characters (if any) that those bytes represent printed per each line of output.

      The offset argument specifies the start offset of the data array within a larger entity like a file or an incoming stream. For example, if the data array contains the third kibibyte of a file, then the offset argument should be set to 2048. The offset value printed at the beginning of each line indicates where in that larger entity the first byte on that line is located.

      All bytes between the given index (inclusive) and the end of the data array are dumped.

      Parameters:
        `data` - the byte array to be dumped
        `offset` - offset of the byte array within a larger entity
        `stream` - the OutputStream to which the data is to be written
        `index` - initial index into the byte array
      Throws:
        `IOException` - is thrown if anything goes wrong writing the data to stream
        `ArrayIndexOutOfBoundsException` - if the index is outside the data array's bounds
        `IllegalArgumentException` - if the output stream is null

Copyright © 2002–2020 The Apache Software Foundation. All rights reserved.